# Originally imported from mageia

%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	CD player and ripper for GNOME
Name:		goobox
Version:	3.4.2
Release:	%mkrel 2
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:    goobox.desktop
License:	GPLv2+
Group:		Sound
Url:		http://www.gnome.org
#--------------------------------------------
BuildRequires: brasero-devel
BuildRequires: glibc-devel
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: libatk1.0-devel
BuildRequires: libcairo-devel
BuildRequires: libdiscid-devel
BuildRequires: libgdk_pixbuf2.0_0-devel
BuildRequires: libglib2.0-devel
BuildRequires: libgstreamer1.0-devel
BuildRequires: libgtk+3.0-devel
BuildRequires: libmusicbrainz5-devel
BuildRequires: libnotify-devel
BuildRequires: libpango1.0-devel
BuildRequires: make
BuildRequires: libxml2-utils
#--------------------------------------------
Requires:	gstreamer1.0-plugins-good

%description
Goobox is a CD player and ripper that always knows just what to do.

It allows you to play Audio CDs and save the tracks to disk as mp3, ogg, flac
or wav files. Track titles and CD covers are set automatically using the
MusicBrainz web service.

In addition to gstreamer plugins and cdparanoia, the following encoders are
expected to be installed: vorbisenc, flacenc, wavenc, lamemp3enc - at least
one of these in order to rip CDs.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

#fixed desktop file
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/goobox.desktop


%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README NEWS AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/help/*/%{name}/*


%changelog
* Thu Nov 22 2018 adrianomorselli <adrianomorselli> 3.4.2-2uplos2018
- updated brasero in order to build this on uplos
- clean up specfile buildrequires
- change rpmgroup to sound
- fix menu entry
